<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<link rel="stylesheet" type="text/css" href="../api/dhtmlx/dhtmlxTree/codebase/dhtmlxtree.css">
<link rel="stylesheet" type="text/css" href="../api/dhtmlx/dhtmlxTree/codebase/skins/dhtmlxgrid_dhx_skyblue.css">
<link rel="stylesheet" type="text/css" href="../api/dhtmlx/dhtmlxMessage/codebase/skins/dhtmlxmessage_dhx_skyblue.css" />

<script src="../api/dhtmlx/dhtmlxTree/codebase/dhtmlxcommon.js" type="text/javascript"></script>
<script src="../api/dhtmlx/dhtmlxTree/codebase/dhtmlxtree.js" type="text/javascript"></script>
<script src="../api/dhtmlx/dhtmlxTree/codebase/ext/dhtmlxtree_srnd.js"></script>
<script src="../api/dhtmlx/dhtmlxTree/codebase/ext/dhtmlxtree_xw.js"></script>

<script src='../api/dhtmlx/dhtmlxMessage/codebase/dhtmlxmessage.js' type="text/javascript"></script>

<script src="js/jquery.min.js" type="text/javascript"></script>

<style>
body, html, table, div, #layoutobj {
    color: #565656;
    font-family: "Trebuchet MS",Tahoma,Arial,Verdana,monospace;
    font-size: 13px;
    line-height: 18px;
}

#tree_div {
	border: 1px solid #ededed;
}

#info {
	border: 1px solid #ededed;
	margin: 11px 11px;
}

.searchdone {
	background: #FF6666;
	color: #FFFFFF;
}

.searchform {
	display: inline-block;
	zoom: 1; /* ie7 hack for display:inline-block */
	*display: inline;
	border: solid 1px #d2d2d2;
	padding: 3px 5px;
	
	-webkit-border-radius: 2em;
	-moz-border-radius: 2em;
	border-radius: 2em;

	-webkit-box-shadow: 0 1px 0px rgba(0,0,0,.1);
	-moz-box-shadow: 0 1px 0px rgba(0,0,0,.1);
	box-shadow: 0 1px 0px rgba(0,0,0,.1);

	background: #f1f1f1;
	background: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#ededed));
	background: -moz-linear-gradient(top,  #fff,  #ededed);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ededed'); /* ie7 */
	-ms-filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ededed'); /* ie8 */
}

.searchform input {
	font: normal 12px/100% Arial, Helvetica, sans-serif;
}

.searchform .searchfield {
	padding: 5px 5px 5px 7px;
	width: 130px;
	border: solid 1px #bcbbbb;
	outline: none;

	-webkit-border-radius: 2em;
	-moz-border-radius: 2em;
	border-radius: 2em;

	-moz-box-shadow: inset 0 1px 2px rgba(0,0,0,.2);
	-webkit-box-shadow: inset 0 1px 2px rgba(0,0,0,.2);
	box-shadow: inset 0 1px 2px rgba(0,0,0,.2);
}

.searchform .searchbutton {
	color: #fff;
	border: solid 1px #494949;
	font-size: 11px;
	height: 27px;
	width: 32px;
	text-shadow: 0 1px 1px rgba(0,0,0,.6);

	-webkit-border-radius: 2em;
	-moz-border-radius: 2em;
	border-radius: 2em;

	background: #5f5f5f;
	background: -webkit-gradient(linear, left top, left bottom, from(#9e9e9e), to(#454545));
	background: -moz-linear-gradient(top,  #9e9e9e,  #454545);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#9e9e9e', endColorstr='#454545'); /* ie7 */
	-ms-filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#9e9e9e', endColorstr='#454545'); /* ie8 */
}
</style>

<body>
<form class="searchform">
<input class="searchfield" name='lookfor' id='lookfor' type="text" value="Search..." onfocus="if (this.value == 'Search...') this.value = ''; $('#lookfor').removeClass('searchdone');" onchange="searchTop=0;" Foonblur="if (this.value == '') this.value = 'Search...';" />
<input class="searchbutton" type="button" id='find' value="Find" onclick="findTop();" />
<input class="searchbutton" type="button" id='next' value="Next" onclick="findNext();" />
</form>

<div id="tree_div" style="float: left;width: 350px;height:340px;"></div>
<div id="info" style="float:left;width: 450px;height:340px;"></div>

<script language='Javascript'>
var searchTop = 0; // When search it starts from this itemId
var searchDebounce = 0; // Only run search one until finished

function findTop (x)
{
	searchTop = 0; // If searched again start from where last found
	findIt(x);
}

function findNext (x)
{
	findIt(x);
}

function findIt (x)
{
	if ( searchDebounce ) return;

	searchDebounce = true;

	$('#lookfor').removeClass('searchdone'); // remove red background of search box

	var lookFor = document.getElementById('lookfor').value;

	$.get( "order_search.php", { start: searchTop, find: lookFor })
	.done(function(data) {
		var spl = data.split('~');
		tree.openItemsDynamic( spl[1], true );
		var ids = spl[1].split(',');
		tree.focusItem( ids[ids.length-1]); // focus on item
		if ( searchTop == spl[0] ) $('#lookfor').addClass('searchdone');
		searchTop = spl[0]; // If searched again start from where last found
	});

	searchDebounce = false;
}

tree = new dhtmlXTreeObject( 'tree_div', '100%', '100%', 0 );

tree.setImagePath("../api/dhtmlx/dhtmlxTree/codebase/imgs/csh_winstyle/");

tree.setSkin('dhx_skyblue');

tree.enableSmartRendering(true);
tree.enableSmartXMLParsing(true);

tree.attachEvent( "onSelect", function(id,ind){ cpe_detail(id); });

tree.setXMLAutoLoading("order_connector.php");
tree.loadXML("order_connector.php");

function cpe_detail (id)
{
	return;

	var msnum = tree.getUserData( id, "psr" );
	var request_num = tree.getUserData( id, "req" );

	var txt = document.getElementById("info");

	var mod = '';

	if ( request_num < 0 )
	{
		$.get( "order_status_cpe.php", { dev: 11 })

		.done(function(data) {
			txt.innerHTML = data;
		});
	}

	if ( request_num == 0 )
	{
		var acct = tree.getUserData( id, "acct" );
		$.get( "order_status_customer.php", { acctnum: acct })
		.done(function(data) {
			txt.innerHTML = data;
		});
	}

	if ( request_num > 0 )
	{
		var acct = tree.getUserData( id, "acct" );
		$.get( "order_status_request.php", { acctnum: acct })
		.done(function(data) {
			txt.innerHTML = data;
		});
	}
}
</script>
