<?php
#
# This code is what the GUI uses to grab data from MySQL in XML format
#

function leaf_objects($row)
{
	$request_num = $row->get_value('request_num');
	$msnum = $row->get_value('msnum');

	if ( $request_num < 0 )
	{
		$row->set_value( 'leaf',  $row->get_value('cpe') . ' - ' . $row->get_value('coname') );
	}
	elseif ( $request_num == 0 )
	{
		$row->set_value( 'leaf',  "$msnum - " . $row->get_value('coname') );
		$row->set_userdata( 'acct', $row->get_value('acctnum') );
	}
	else
	{
		$dt = str_replace( '/', '-', $row->get_value('datetime_s') );
		
		$row->set_value( 'leaf', $row->get_value('vendor') . "   $dt" );
	}

	$row->set_userdata( 'req', $request_num );
	$row->set_userdata( 'psr', $msnum );
}

@session_start();

#require('config_settings.php');

$res = mysql_connect( $MYSQL_HOST, $MYSQL_ID, $MYSQL_PW );

mysql_select_db('test');

require("../api/dhtmlx/dhtmlxConnector/codebase/tree_connector.php");

$tree = new TreeConnector($res);

$tree->event->attach( "beforeRender", "leaf_objects" );

#$tree->enable_log("/provision/htdocs/cpe/debug.log");

$tree->dynamic_loading(true);

$tree->render_sql("SELECT *, coname, 0 as leaf FROM orders o LEFT JOIN cust_address a ON o.acctnum = a.acctnum ORDER BY msnum ASC, request_num ASC", "mainId", "leaf, datetime, datetime_s", '', 'parentId' );

#$tree->render_sql( "SELECT *, 0 AS leaf FROM orders", "mainId", "leaf, datetime, datetime_s", '', 'parentId' );
?>
